# Amuse: amuse::SongGroupIndex Struct Reference

amuse::SongGroupIndex Struct Reference

`#include <AudioGroupProject.hpp>`

Inheritance diagram for amuse::SongGroupIndex:
Collaboration diagram for amuse::SongGroupIndex:

## Classes

struct | MIDISetup
struct | PageEntry

## Public Attributes

std::unordered_map< uint8_t, const PageEntry * > | m_normPages
std::unordered_map< uint8_t, const PageEntry * > | m_drumPages
std::unordered_map< int, const std::array< MIDISetup, 16 > * > | m_midiSetups
Public Attributes inherited from amuse::AudioGroupIndex
const uint16_t * | m_soundMacroIndex
const uint16_t * | m_tablesIndex
const uint16_t * | m_keymapsIndex
const uint16_t * | m_layersIndex

## Detailed Description

Root index of SongGroup

Definition at line 22 of file AudioGroupProject.hpp.

The documentation for this struct was generated from the following file:

- include/amuse/AudioGroupProject.hpp